API referenceContacts
GET /contacts/{contactId}
A contact with its channels and message counts
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
contactId*stringContact id
{success, contact, channels}
application/json- response
success?booleancontact?channels?array<>curl -X GET 'https://example.com/api/v1/contacts/string'Example Response
{ "success": true, "contact": { "id": "string", "name": "string", "email": "string", "company": "string", "avatarUrl": "string", "tags": [ "string" ], "isSubscribed": true, "isBlocked": true, "customFields": {}, "notes": "string", "profileId": "string", "messagesSentCount": 0, "messagesReceivedCount": 0, "lastMessageSentAt": "2019-08-24T14:15:22Z", "lastMessageReceivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "channels": [ { "id": "string", "accountId": "string", "platform": "string", "platformIdentifier": "string", "displayIdentifier": "string", "isSubscribed": true, "conversationId": "string", "metadata": {}, "lastActiveAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ]}